/* engine.c - engines for gWatch
*/
/*****************************************************************Includes*/
#include "gWatch.h"
#include "engine.h"
#include "dispatchers.h"
/******************************************************************Engines*/
bool runGWatch(void) {
  bool rv = true;

  /* the algorithm:
  // * gather info about the Gators in use
  // * scan for Gators & report
  // * scan for MiniGates & report
  // * scan for ships jumping & report
  */
  if (rv) rv = getGatorInfo();
  if (rv && gatorsAvailable) rv = makeGatorTable();
  if (rv && gatorsAvailable) rv = makeMinigateTable();
  if (rv && gatorsAvailable) rv = makeShipTable();

  return(rv);
} // runGWatch()
/**************************************************************************/
